\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath}
\usepackage{../../yomcat}

\pagestyle{empty}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}


\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}
\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 436 \hfill
Assignment 1 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\qs
\begin{enumerate}[(1).]
	\item Suppose $\alpha$ is algebraic over $K$, and $\beta$ is algebraic over $K(\alpha)$ (ie, $f(\beta) = 0$ for some $f(x) \in K(\alpha)[x]$). Then prove $\beta$ is algebraic over $K$.
	\item Prove that any minimal polynomial is irreducible.
	\item Prove every finitely generated ideal of $K[x]$ is principal.
	\item[(Bonus).] Every ideal of $K[x]$ is finitely generated.
	\item If [$L$:$K$] is a prime, then any field $M$ with $K \extend M \extend L$ is either $K$ or $L$.
	\item If [$L$:$K$] is a prime, then $L$ is a simple extension of $K$.
\end{enumerate}
	
\as
\begin{enumerate}[(1).]
	\item $K[x]/\ideal{m_{\alpha}(x)} \cong K(\alpha)$. Therefore, If $f(\beta) = 0$ for some $f(x) \in K(\alpha)[x]$, $m_{\alpha}(x) | f(x)$. Also, $m_{\alpha}(x) \in K[x]$ and $m_{\alpha}(\alpha) = 0$. Therefore, $g(\beta) = 0$ in $K[x]$ as it is just a multiple of $m_{\alpha}(x)$, which is 0.
	\item Let $m_{\alpha}(x)$ be the minimal polynomial of $\alpha$ over $K$. Assume that it is reducible. Therefore, $m_{\alpha}(x) = a(x)b(x)$ for some $a(x), b(x) \in K[x]$, both with degree less than the degree of $m_{\alpha}(x)$. As $m_{\alpha}(x)$ is minimal, $m_{\alpha}(\alpha) = 0$. Therefore, $a(\alpha)b(\alpha) = 0$. As there are no zero divisors in $K[x]$, wolog, assume $a(\alpha) = 0$. However, this means that $a(x)$ is a minimal polynomial of $\alpha$ over $K$ with degree less than $m_{\alpha}(x)$. This is a contradiction. Therefore, $m_{\alpha}(x)$ is irreducible.
	\item I'm going to prove something stronger: Every ideal of $K[x]$ is principal. \\
	Let $I$ be an ideal of $K[x]$. If $I = \{0\}$, then $I = \ideal{0}$. Therefore, I will assume that $I$ contains at least one non-zero polynomial. Select $g$ from $I$ so that deg($g$) is as small as possible. As $g \in I$, then $fg \in I$ $\forall f \in K[x]$. Therefore, $\ideal{g} \subseteq I$. \\
	Conversely, let $f$ be an arbitrary member of $I$ and $g$ as before. By Proposition 3.1, $\exists q, r \in K[x]$ such that $f = qg + r$ and deg($r$) $<$ deg($g$). $f, qg \in I$ so $r = f - qg \in I$. However, $q$ was chosen to have minimal degree, so this is a contradiction unless $r = 0$. So $f = qg$, and therefore $f \in \ideal{g}$. Since $f$ is an arbitrary member of $I$, it follows that $I \subseteq \ideal{g}$ and then that $I = \ideal{g}$. \\
	To answer the question, if every ideal of $K[x]$ is principal, then every finitely generated one must be principal.
	\item[(Bonus).] This follows immediately from the proof above. Every ideal of $K[x]$ is principal, so every ideal is generated by a finite number of elements (1).
	\item $K \extend M \extend L \implies [L:K] = [L:M][M:K]$. As $[L:K]$ is prime, then either $[L:M]$ or $[M:K]$ is 1. For any fields, $\mbb{F}_{1}, \mbb{F}_{2}$, $[\mbb{F}_{1}:\mbb{F}_{2}] = 1 \implies \mbb{F}_{1} = \mbb{F}_{2}$. Therefore, $M$ is either $K$ or $L$.
	\item If $K \extend L$ is a simple extension, then there are only finitely many distinct intermediate field extensions, $M_{1}, \dots, M_{w}$. (ie, $K \extend M_{1} \extend \cdots \extend M_{w} \extend L$.) \textsl{(Not proven)} \\
	If [$L$:$K$] is prime, then, by the previous exercise, $\nexists M$ such that $K \extend M \extend L$. Therefore, there are 0 (a finite number) of distinct intermediate field extensions between $K$ and $L$. By the statement above, $L$ must be a simple extension of $K$.
\end{enumerate}

\end{document}